Subject: bug#4592: Bug in built-in function substitute-in-file-name

From: Andreas Schwab <[email-masked]>
Date: Wed, 30 Sep 2009 11:07:05 +0200

Mosur Mohan <[email-masked]> writes:

> When I start up Emacs, I go to the *scratch* buffer and eval
>     (substitute-in-file-name "/~/")
> and I get the expected result
>     "~/"
>
> After running for a while, I notice that filename completion starts
> giving errors.  At this point, I re-try the above experiment:
>     (substitute-in-file-name "/~/")
> But now, I get:
>     "/~/"
>
> I am not able to figure out what happened in between to make it stop
> working correctly.

What does
 (find-file-name-handler "/~/" 'substitute-in-file-name)
return?

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."